IsIndetPosPower: behaviour and manual page

07 Jan 2020 21:22 - John Abbott

Status: Closed Start date: 07 Jan 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Manual/documentation Estimated time: 0.99 hour

Target version: CoCoA-5.3.0 Spent time: 1.10 hour

Description

There is no manual page for IsIndetPosPower.

History

#1 - 07 Jan 2020 21:30 - John Abbott

What should IsIndetPosPower(x/x) give?

Error or false?

I expected false but actually got an error.

#2 - 09 Jan 2020 11:33 - Anna Maria Bigatti

- Subject changed from IsIndetPosPower: no manual page to IsIndetPosPower: behaviour and manual page

- % Done changed from 0 to 20

John Abbott wrote:

What should IsIndetPosPower(x/x) give?

Error or false?

I expected false but actually got an error.

 

I agree with you.  However this is explicitely written in cocoalib documentation for PPMonoid.

My guess is that this choice was due to the old name IsIndetPower, later renamed with Pos

// Revision 1.2  2007/09/24 14:15:16  abbott

// Renamed IsIndetPower to IsIndetPosPower.

 

Now we can reasonably change it.
#3 - 14 Feb 2020 17:27 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- % Done changed from 20 to 100

- Estimated time set to 0.99 h

Now it gives false.

Added test to test-bug3.C.

#4 - 25 Feb 2020 11:16 - John Abbott

Added a CooA-5 manual page.
